Subject: RE: bug#39778: [PATCH] checkdoc: Don't mistake "cf." for sentence end

From: Drew Adams <[email-masked]>
Date: Wed, 26 Feb 2020 07:03:39 -0800 (PST)

>> "It is often tempting to use abbreviations such as 'no.', 'i.e.',
>> 'e.g.' 'c.f.' and 'w.r.t.'  These save little space on the page,
>> but slow readers down.
> 
> That is good advice, but it changes the subject.
> The question is not whether to use those old abbreviations.
> It is whether Emacs should support editing of files that do use them.

Really?  Was that the question?  I didn't
understand that that question was being raised.

Why shouldn't Emacs support editing files that
use _any_ text?  Was there an argument against
letting one edit such files?  Or did you perhaps
mean something special (what?) here by "support"?

The bug reported was only about Emacs treating
the `.' as a sentence end.  I think everyone
agreed that that's a bug to be fixed ("cf."
does not end a sentence, generally).

Beyond the bug, the thread discussed the use
of "cf." by Emacs's own doc.  Yes, that was a
change of subject from the bug report.  But
that was the only real discussion (question)
here, I think.  Unless I missed someone's
argument in favor of two spaces after "cf.".